APIToolsUpdate Tool
Update Tool
Update a tool. name and type are required. type must be one of Function, DTMF, Documents, TransferCall, EndCall, GoHighLevelAPI, VinsiSaasCrmAPI, AfterCallAction, EpicFhirAPI. If configuration is omitted the existing configuration is kept. configuration is returned as a parsed object.
Created: April 22, 2025
Updated: September 16, 2026
Overview
PUT
https://dashboard.vinsi.ai/api/tools/{toolId}
Request
Headers
Content-Typestring
x-api-keystring
Params
toolIdstring
Example: cmexampletool000000000001
Request Body
{5 items
"name":string"example-tool"
"type":string"TransferCall"
"dtmfOnly":boolfalse
"description":string"example tool description"
"configuration":{2 items
"phoneNumber":string"+18001234567"
"transferMessage":string"transfer message"
}
}
Response
{9 items
"id":string"cmexampletool000000000001"
"name":string"example-tool"
"description":string"example tool description"
"type":string"TransferCall"
"configuration":{2 items
"phoneNumber":string"+18001234567"
"transferMessage":string"transfer message"
}
"createdAt":string"2026-01-27T16:15:42.751Z"
"updatedAt":string"2026-01-27T16:15:42.751Z"
"userId":string"cmexampleuser0000000000001"
"dtmfOnly":null
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
PUT
Headers
Content-Type: *
x-api-key: *
Params
toolId: *
Response
No response yet. Click Send to test the API.